> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Updates metadata for an existing passkey registration (e.g. sets a user-friendly display name). Calls the `PUT /sdk/v1/webauthn/update/{webauthn_registration_id}` endpoint.

## Returns

<ResponseField name="requestId" type="String" required />

<ResponseField name="statusCode" type="Int" required />

<ResponseField name="webauthnRegistration" type="ApiUserV1WebAuthnRegistration?">
  <Expandable title="properties">
    <ResponseField name="webauthnRegistrationId" type="String" required />

    <ResponseField name="domain" type="String" required />

    <ResponseField name="userAgent" type="String" required />

    <ResponseField name="verified" type="Boolean" required />

    <ResponseField name="authenticatorType" type="String" required />

    <ResponseField name="name" type="String" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```kotlin theme={null}
  StytchConsumer.passkeys.update(
      id = "webauthn-registration-test-d5a3b680-e8a3-40c0-b815-ab79986666d0",
      request = WebAuthnUpdateParameters(name = "My iPhone"),
  )
  ```
</RequestExample>
